import socket
import os
import json
import argparse

UDP_IP = "127.0.0.1"
UDP_PORT = 5005

class SocketTransmitter():
    def __init__(self) -> None:
        self.socket_instance = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

    def push(self, message):
        if type(message) == dict:
            message = json.dumps(message, indent = 4)

        self.socket_instance.sendto(message.encode("utf-8"), (UDP_IP, UDP_PORT))
