import logging
import coloredlogs

from .device import DeviceManager
from .interface.abstract_interface import InterfaceDevice
from .protocol import *

coloredlogs.install(
    level=logging.INFO,
    logger=logging.getLogger(__name__),
    fmt='[%(asctime)s] | %(name)s | %(levelname)s | %(message)s',
    milliseconds=True)
